List Completed Download Choices
GET
/utilities/downloads/utype
const url = 'https://sylve.lan:8181/api/utilities/downloads/utype';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/utilities/downloads/utype \ --header 'Authorization: <Authorization>'List compact completed-download choices for consumers such as VM, Jail, and ZFS workflows
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
label
string
uType
string
uuid
string
error
string
message
string
status
string
Example
{ "data": [ { "uType": "base-rootfs" } ]}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}